Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 08:33
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Wine
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 30 [448 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 28, 29, 30 Next
Author Message
Liboicl

Joined: 15 Feb 2010
Posts: 90

PostPosted: Mon 24 May 2010, 01:29    Post subject:  

wine-1.2-rc1
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Mon 24 May 2010, 04:33    Post subject:  

Dear Liboicl,

Thanks. I installed and saw that my nice antialiased fonts were gone, so I reverted to 1.1.44. Apparently, the handling of antialiasing has changed in Wine and you need to include fontconfig when you compile, so antialiasing can he handled by the X-server. Also, you should try stripping the binaries (executables and libs), so we can get the package size down to that of green_dome's versions (18 MB vs 50 MB).

With kind regards,
vovchik

PS. I know, this is your second compile of Wine. In my attempt (successful) of 1.1.44, I also had the huge size but fixed it by stripping.
Back to top
View user's profile Send private message 
Liboicl

Joined: 15 Feb 2010
Posts: 90

PostPosted: Mon 24 May 2010, 08:28    Post subject:  

vovchik wrote:
Dear Liboicl,

Thanks. I installed and saw that my nice antialiased fonts were gone, so I reverted to 1.1.44. Apparently, the handling of antialiasing has changed in Wine and you need to include fontconfig when you compile, so antialiasing can he handled by the X-server. Also, you should try stripping the binaries (executables and libs), so we can get the package size down to that of green_dome's versions (18 MB vs 50 MB).

With kind regards,
vovchik

PS. I know, this is your second compile of Wine. In my attempt (successful) of 1.1.44, I also had the huge size but fixed it by stripping.


Thanks, actually this is my third compile of Wine. I am always glad to hear feedback. I was wondering how his were so small. It makes sense now. I will look into the fonts.
Back to top
View user's profile Send private message 
green_dome

Joined: 05 Jan 2009
Posts: 204

PostPosted: Wed 26 May 2010, 01:04    Post subject: Wine 1.2-rc1  

Edit (Wed.26.May.2010 | time 18.22.00) : re-uploaded the file 'wine-1.2-rc1-i486.pet'.
Edit (Fri.28.May.2010 | time 00:23:00) : added another mirror for the 5 files.

-------------------------------

my attempt at compiling wine 1.2-rc1

wine-1.2-rc1-i486.pet (release 1) - mirror 1 - mirror 2
wine_DEV-1.2-rc1-i486.pet (release 1) (development package) - mirror 1 - mirror 2
wine_DOC-1.2-rc1-i486.pet (release 1) (documentation package) - mirror 1 - mirror 2
wine-1.2-rc1-i486-sfs3.sfs (release 1) - mirror 1 - mirror 2
wine-1.2-rc1-i486-sfs4.sfs (release 1) - mirror 1 - mirror 2

-------------------------------

I compiled using puplet: Puppies 4.31.1 by forum member 'ttuuxxx'
I specifically used the files:
puppies-431.1-main-Xserver.iso
devx_430.sfs

puppies-431.1-main-Xserver.iso - [forum post] [mirror 1] username:puppy | password:linux (you will have to type it twice) [mirror 2] [mirror 3]

devx_430.sfs - [forum post] [mirror 1] username:puppy | password:linux (you will have to type it twice) [mirror 2] [mirror 3]

-------------------------------

I installed these packages before compiling:

esound-0.2.41-i486.pet
<http://puppylinux.asia/members/T/486_pet/esound-0.2.41-i486.pet>

esound_DEV-0.2.41-i486.pet
<http://puppylinux.asia/members/T/486_pet/esound_DEV-0.2.41-i486.pet>

fontconfig-2.7.1-i486-pup4.pet
<http://petstore.puppyspace.org/s4/system/fontconfig-2.7.1-i486-pup4.pet>

fontconfig_DEV-2.7.1-i486-pup4.pet
<http://petstore.puppyspace.org/s4/system/fontconfig_DEV-2.7.1-i486-pup4.pet>

gnutls+deps-2.6.6-i486.pet
<http://puppylinux.asia/members/T/444/gnutls+deps-2.6.6-i486.pet>

gnutls+deps_DEV-2.6.6-i486.pet
<http://puppylinux.asia/members/T/444/gnutls+deps_DEV-2.6.6-i486.pet>

jack-audio-connection-kit-0.116.1-i486.pet
<http://puppylinux.asia/members/T/444/jack-audio-connection-kit-0.116.1-i486.pet>

jack-audio-connection-kit_DEV-0.116.1-i486.pet
<http://puppylinux.asia/members/T/444/jack-audio-connection-kit_DEV-0.116.1-i486.pet>

openldap-2.4.13-i486.pet
<http://puppylinux.asia/members/T/444/openldap-2.4.13-i486.pet>

openldap_DEV-2.4.13-i486.pet
<http://puppylinux.asia/members/T/444/openldap_DEV-2.4.13-i486.pet>

xorg_xorg_full_dri-7.3.pet
<ftp://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-4/xorg_xorg_full_dri-7.3.pet>

xorg_xorg_full_dri_DEV-7.3.pet
<ftp://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-4/xorg_xorg_full_dri_DEV-7.3.pet>

-------------------------------

When compiling, I used
Code:
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --build=i486-pc-linux-gnu --x-includes=/usr/X11R7/include --x-libraries=/usr/X11R7/lib --with-x


Menu entries, Color Setter, and other stuff I got from the file 'winegoodies.tar.gz' provided by forum member 'technosaurus'. The only changes I made to the contents of that file were to delete the file 'Wine_regedit.desktop'. That appears to be a duplicate file. I also deleted the file 'winetricks' and replaced it with the updated one.

For help with Gecko, look here

I use the console to install packages from winetricks. For help with this I use
Code:
winetricks -h
[source]

my graphics card is a Nvidia GeForce 8400GS, so I install the 'NVIDIA-190.42-k2.6.30.5-1.pet' from this post.

Last edited by green_dome on Fri 28 May 2010, 00:21; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Wed 26 May 2010, 04:14    Post subject:  

Dear green_dome,

Thanks again. This time, unlike all the others times when I have installed your Wine, I get this:

Quote:
root$ [~]-> winecfg
wine client error:0: version mismatch 401/400.
Your wine binary was not upgraded correctly,
or you have an older one somewhere in your PATH.
Or maybe the wrong wineserver is still running?


That was the response on two machines. Any clues or ideas?

With kind regards,
vovchik

OS. When I run wine from the command line, it seems normal, but programs do not run:
Quote:
root$ [~]-> wine
Usage: wine PROGRAM [ARGUMENTS...] Run the specified program
wine --help Display this help and exit
wine --version
Code:
Back to top
View user's profile Send private message 
green_dome

Joined: 05 Jan 2009
Posts: 204

PostPosted: Wed 26 May 2010, 13:02    Post subject:  

Do you get the same error when installing Wine 1.2-rc1 on a fresh frugal or full install of PuppyLinux that does not come with Wine built-in?
Back to top
View user's profile Send private message Visit poster's website 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Wed 26 May 2010, 13:16    Post subject:  

Dear green_dome,

I did the Wine install on two machines that have full HD puppy and had previous versions of your 1.1.44. I had previously upgraded Wine numerous times on both machines (in fact, on three machines) from your pets this way and never experienced any such problem. I am at a loss as to why. I also unpacked your latest pet and did a straight copy of the /usr dir, overwriting the old wine as an experiment. I got the same result as described above. I then renamed my ~/.wine dir and did the install, thinking that my registry files had some bad info. Version 1.2 did create a new .wine dir that was largely empty except for fake device symlinks (which is normal). I am loathe to compile 1.2rc1 myself, because I do that on a netbook and it takes a VERY long time. I did that for 1.1.44 just as an experiment using your configure info (and it worked), but I by far prefer your pets.

With kind regards,
vovchik
Back to top
View user's profile Send private message 
lezzloco

Joined: 02 Mar 2008
Posts: 44

PostPosted: Wed 26 May 2010, 14:12    Post subject: wine 1.2
Subject description: pet won't install
 

I keep getting "Error, package wine-1.2rc1-i486.pet failed to install", I have re downloaded it twice and keep getting the same thing.

I am using puppy 4.3.1, fresh install frugal

Thanks for doing these .pets green_dome much appreciated
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 5396
Location: Charleston S.C. USA

PostPosted: Wed 26 May 2010, 21:29    Post subject: Works for me Lucid Puppy 5.0  

Just to let you know. Installed wine-1.2rc1-i486.pet in Lucid Puppy 5.0 fresh frugal install. No previous Wine install. Seems to work OK.

Thanks for keeping up with Wine.
Back to top
View user's profile Send private message 
lezzloco

Joined: 02 Mar 2008
Posts: 44

PostPosted: Thu 27 May 2010, 11:19    Post subject: wine 1.2rc1
Subject description: Now working with me
 

OK so after reading above post I re tested, this time I deleted the pup-431.sfs file saved onto my hard drive, (I didn't do that before), and everything seems OK, maybe the .sfs became upset some how.
Back to top
View user's profile Send private message 
Flapdoodle

Joined: 03 Jul 2008
Posts: 32

PostPosted: Sat 29 May 2010, 11:06    Post subject:  

I uninstalled WINE 1.1.43 on my Turbopup Xtreme 1.0 installed on flash, then installed the WINE 1.2rc1.

It complained a few dependencies were not there, but it runs great in spite of that. (WINE 1.1.43 also made that complaint)

Fixed where a few minor problems where the cursor needed to be on a line lower than it should be to click on a menu item.

Firefox portable, and YahElite work fine as well as all the other apps in my portable collection.

This has been my everyday machine for a while now.
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Mon 31 May 2010, 18:23    Post subject:  

Wine Tricks is missing Confused.
Back to top
View user's profile Send private message Visit poster's website 
green_dome

Joined: 05 Jan 2009
Posts: 204

PostPosted: Mon 31 May 2010, 22:05    Post subject:  

abushcrafter wrote:
Wine Tricks is missing Confused.


'winetricks' is in /usr/sbin
Back to top
View user's profile Send private message Visit poster's website 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Tue 01 Jun 2010, 05:44    Post subject:  

Dear green_dome and Liboicl,

I see that 1.2-rc2 is out. Apparently, there is some fix for X11 in that system-wide Xft settings will be recognized and override registry entries. I hope this fix takes care of the ugly font problem.

With kind regards,
vovchik
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Tue 01 Jun 2010, 14:42    Post subject:  

abushcrafter wrote:
Wine Tricks is missing Confused.
Oops bad download.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 3 of 30 [448 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 28, 29, 30 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1052s ][ Queries: 13 (0.0158s) ][ GZIP on ]